---
schema_version: "1"
id: cffa3e54548b76026749e04809a73dbea53f3839b142473780d2a8b5eeca092c
title: DELETE /platform/v1/ens-subscriptions/{subscriptionId}
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/marketing-cloud/guides/mc-apis/deleteSubscription.md
canonical_url: https://developer.salesforce.com/docs/marketing/marketing-cloud/references/mc_rest_event_notification/deleteSubscription.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: 538f4df2001a6e9b44298ab818227b8894bf950fe9ea8ced3c460d5705fbf066
products:
  - Marketing Cloud Engagement APIs and Programmatic Languages
  - Marketing Cloud
---
# DELETE /platform/v1/ens-subscriptions/{subscriptionId}

## Overview

Deletes a subscription.

### URL Parameters

<!--complex table-->

| Name               | Type   |              | Description                                       |
| ------------------ | ------ | ------------ | ------------------------------------------------- |
| **subscriptionId** | string | **Required** | Unique identifier for the subscription to delete. |

## Usage

### Example Request

```js
Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
DELETE /platform/v1/ens-subscriptions/d89c87c4-70f8-43d6-be1e-f01dce97fe4c
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN
```

### HTTP Responses

| Response         | Reason                         |
| ---------------- | ------------------------------ |
| 200 Success      | Subscription deleted.          |
| 403 Forbidden    | Failed to pass authorization.  |
| 404 Not Found    | Subscription ID doesn’t exist. |
| 500 Server Error | Internal error                 |

## See Also

- [Event Notification Service](/docs/marketing/marketing-cloud/guide/ens.html)
